This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 141779 - can't have more that one bonding configuration
can't have more that one bonding configuration
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-03 13:44 EST by Danilo Aghemo
Modified: 2015-01-04 17:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:48:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Danilo Aghemo 2004-12-03 13:44:41 EST
Description of problem:

I need to configure bond0 and bond1 in a different way: suppose bond0
as active-backup to two different network switch for high availability
and bond1 as balance-* for high availability and performance crossed
to another fedora system. Is I alias both bond0 and bond1 to bonding,
I can have just a single configuration. So I need to have a second
bonding module called, let's say, bonding1. But on some kernel this is
not feasible!

Version-Release number of selected component (if applicable):

kernel 2.6.9-1.3_FC2 or 2.6.9-1.6_FC2, but works on 2.6.5-1.358
module-init-tools version 3.0-pre10
bonding 2.6.0

How reproducible:

Always

Steps to Reproduce:
1. do "modprobe bonding --name bonding1"
2. even do "lsmod | grep bonding"
  
Actual results:

FATAL: Error inserting bonding
(/lib/modules/2.6.9-1.3_FC2smp/kernel/drivers/net/bonding/bonding.ko):
 Operation not permitted

Expected results:

The module bonding1 should appear in "lsmod | grep bonding" with the
given configuration.

Additional info:

I can set two different configuration for bond0 and bond1 if only one
instance on the bonding module is loaded. I need a second instance
with a different name. But even if no bonding module is loaded at all,
I'm not able to load a bonding module named bonding1 or whatever else!
Comment 1 Danilo Aghemo 2004-12-03 16:47:29 EST
Sorry, but the problem seems to afflict all kernel modules!
That is, I can't load a module under a different name: bonding as well
as any other modules. 

Please, note that this is not a problem with double loading: even if I
have no bonding module loaded, "modprobe bonding --name bonding1" does
not work.

Now, my first need is two have a different configuration on bond0 and
bond1. But I can't do this with only the bonding module loaded, I suppose.
Comment 2 Dave Jones 2005-04-16 01:48:38 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.